package com.gic.enterprise.web.controller.wm;

import java.io.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 同步门店to微盟
 * @ClassName: WmStoreSyncController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/5/8 11:19 AM 
 */
@RestController
@RequestMapping("/wm-store-sync")
public class WmStoreSyncController {
    private static final Logger LOGGER = LogManager.getLogger(WmStoreSyncController.class);


    /**
     *
     * @param request
     * @param response
     * @throws IOException
     */
    @RequestMapping("wm-store-import-template")
    public void wmStoreImportTemplate(HttpServletRequest request, HttpServletResponse response)
            throws IOException {
        String fileName = " 门店同步模板.xls";

        OutputStream fo = null;
        InputStream in = null;
        try {
            response.setContentType("text/html;charset=gbk");
            response.setHeader("Content-Disposition",
                    "attachment; filename=" + new String(fileName.getBytes("gbk"), "ISO-8859-1"));

            fo = response.getOutputStream();
            String rootPath = request.getSession().getServletContext().getRealPath("/");
            String filePath = "/exceltemplate/wm_store_import_template.xls";
            in = new FileInputStream(new File(rootPath + filePath));
            byte[] b = new byte[1024];
            int len = 0;
            while ((len = in.read(b)) != -1) {
                fo.write(b, 0, len);
            }
            fo.flush();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (fo != null) {
                fo.close();
            }
            if (in != null) {
                in.close();
            }
        }
    }
}
